Bug 733963 - [abrt] pitivi-0.14.0-2.fc15: Process /usr/bin/python was killed by signal 6 (SIGABRT)
Summary: [abrt] pitivi-0.14.0-2.fc15: Process /usr/bin/python was killed by signal 6 (...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fc2fee90b6fe1140f24e6c255b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 23:26 UTC by Paul Lange
Modified: 2012-08-07 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:51:32 UTC


Attachments (Terms of Use)
File: dso_list (21.31 KB, text/plain)
2011-08-28 23:26 UTC, Paul Lange
no flags Details
File: maps (48.14 KB, text/plain)
2011-08-28 23:26 UTC, Paul Lange
no flags Details
File: backtrace (113.72 KB, text/plain)
2011-08-28 23:26 UTC, Paul Lange
no flags Details

Description Paul Lange 2011-08-28 23:26:49 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        python /usr/bin/pitivi
comment:        don't know
component:      pitivi
executable:     /usr/bin/python
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        pitivi-0.14.0-2.fc15
reason:         Process /usr/bin/python was killed by signal 6 (SIGABRT)
time:           Sun Aug 28 18:15:13 2011
uid:            500
username:       paul

backtrace:      Text file, 116453 bytes
dso_list:       Text file, 21826 bytes
maps:           Text file, 49297 bytes

build_ids:
:9b82a44d5f9903133812daa3320e0797229d1fcb
:c78093def8731f477917a2bb9fe37992dffcb825
:d360e10f91f4fe8fd374fa6232e19ad8c482e48e
:4aebf3435155fecdae82c3e84bb07285c1b622d1
:084ee0e78d39f3d93a299deb1e0c4b94c93324fd
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:dbac291275de95b1f1826a416b321c7ceef590cb
:8255b1947c744c6e89187781491c9238bed15de5
:cd075f073e50e0d55afcbefe042da61a4486c101
:7a89b314c83f5f21e0826c0c44eb9325966d446a
:0d2fa8f9d879ec9f81600e2d6108998ccf36f841
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:63b9a92f47e2c598d34727ad43648b7ffa888dbd
:7898be40e00e79c8f83a7c5c358c0f8b9a1c1e94
:d0e9aa5749ad8057dea3cc2927878130d91a81ee
:0c66f47155090aa88fa0174effc38414db016842
:a8af846c3c02c4ab0d3959b904a32a3e864a73dc
:3e297e8d7a1ad6f9a087dcdc2a6f5742a3d9923d
:596747ce3b9e966753abd4a1d3dbbdc175004141
:d1cc0381cb1bf1595149f083bbea716a35c15a95
:177452c458dbd4322d2fb524e0ede4fec9020580
:617ed119e2ba2784a2d576977bcf5ee7f64a3e28
:7bf07d064f2f29e53a37f73f69a0fc9e392f2406
:7cde8206ad97ddf378cc9e6843180535983b0efc
:4cb4c200015db097d625bea499cadab9dafc61ed
:2c94d6efcb71696193a248aff1fadd912111d363
:951573de7338b58f28235c7743747a427cc7d8d0
:f9a96e2ed036ba670aa4cf9022515da8707b22de
:e18695e040cee33414bc758c8716824d97f1ee7d
:9cd367c15fb24db4a4aa90c0b5b67174f3a717fa
:a2fef08ac42209df9d26dac4c54826fed68587c1
:2cfbca148212b9c3232ac68dbca955e63634d749
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:34d715e2766f8694271730798a4b8e1605ec93ea
:62239704ac11260cb78c670460f0d92418fac09d
:8981a35be6b02de75b5f1bcd5b0871ff85ba6eb1
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:25c5e67291f34713a82cdf92147adec423771905
:92a9033bbedc303317346dc414914fec5643bd7b
:06480f1ac5266087f6b38c9f03182b29ded115e1
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:9cbd10954ad020efe950e6aa36bf704b9eefe86a
:9551a4dab6275a0745808fd9c5d289ed6bce6be4
:e29bea78728d0fed313f3accca35144ca995c3a9
:c1c98a3151ef3aa0d41476efa17a8c7f58d37fb5
:6f87ea21308989c674f40d270f35514bbed96401
:f852c00fb0bddaffb263c9842443bd0acbfeb019
:5a4b4eca5a07087498a211616ade557aa901d893
:e88962c03f00c6c0ef6e92b2393b1619c251f0a5
:39cedfd886c39765c257d21c98944b438c6f3810
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:159f6305f30a1edf18abe4487405dd3c577ff81f
:d3f91aa2312fa4c1f11721ab9b45bd8ca59e0f4d
:0337fc1db16a35a77717acdede1126378c3dd374
:015461eb1dbf4f80b87a572a36090bc191d86534
:e7bf0cfee19f234dd5c22eea4356bfbe1a646b1c
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:14553fd64c3391287f7266322d8706aebb7e3d5e
:5ab0d1a7ac68a37e9b9fa82cfa5e177287987cb0
:5cfc63b65269f81277b85de6f178837b9d93ca51
:1881b629e8b790fc059d40d08ee6622475c9fbba
:474165d3b4540e241e3e6fb5eab7e7493ad127cf
:8d074ca7488ffd2f45cefa635e3302495bba7abf
:e13134df0b0dbc8b2ef01b051defa61c7f2aab1e
:e7b46c0cbcb57a17a8448a5061ec7be6d5c3f24b
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:3ac825d4a0f2e9e97c7ef4529101ad1e506e4da1
:384de3b501d8913abf80287279eeefcffef05a9a
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:f43f05d55e188b83a748377f65820a3a29d89eb1
:2769313796d600526c151df1df0dbc709809fa3e
:64b179f00cdb231429678a327048cf465a272b6f
:1da8febe0d2e008674720225e8079b8fb9ffbb24
:4d5331f76c555d5803a6298fc1254332e9568746
:b8f7defb9a769c87150ec255bfd94228f9498a66
:c86f51369473a94c0e216b8c930774e3291b3035
:94514c040ad1969a4c31b22c0dc93f38f8424bc8
:2dc4e4ea515eca25191148452fac07de08443eb8
:1e1b4a6477143a7d4715f2e3a96d2102eda02ab0
:ca67eb28fc58e52c13a7e92d6a5e17282da467b1
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:5492424dd1c20605ba886e4151f1e5d68516383c
:6c145e3a01cb82e59a5dc3603a1376a139110dbe
:8401c7138095e63b4211e2c29b43845fea00f40d
:e012145a98558b7d015f3ccf3cacfac44b498980
:e983a8345103b91550160b7549449a8a82ab02e7
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:e98a9e74d9ac6f1dab330a768cca88c147c17879
:46fc0eed63a2755a4c7ba2e2eb21ca227077b33a
:3c2bc5c24e9a0f05b4934ebd09e92169aa74159c
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:4d584b475e47d70151cb5c21e783c18d2bffe0a1
:861b8f00570f7e23ba89d21cbd047a302066d339
:ad30ea6ba67d787ba567aaba04ef465b602abc9f
:ad40ba46c18cd660a0cc169376760174b5f3db4d
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:a76acc4ab08d75d102a51da7414c7163fd73f72d
:4fbf06382297ce0f31a3a6892be590d7df1abeac
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:1430f7f500ae0c336a2a0f1d3ea9440bd950cd52
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:8b64251424d56d05d721c8b3cd40918841acc3e8
:dc04e8c19b7650f82f4054a664b8e3702dccc4db
:9dba6c7dc27400f036e3dd6a7217eede7d081db8
:553251467fea7ee869842c34fae77d9989b097e1
:7835912e1b97f0d900e09cc800aa77859afef718
:a65fefe2d5c0a743c823fe13b443bdaad84af783
:c80d342cd8380b721df19011394f3c1c30fa51d3
:dc19b02bb1ec888a65c645310f137da827efbb93
:cfe0054a14bd44feb20f01c241cdf9b809d9fcb3
:42cf8127d96066519c683d50d4c832115e698bb1
:a29bbcfea935d7644ecf7dab7675d834248a6edb
:4c3a46c6e3d3ab2449e57c3d7d39f5e5f81db34e
:6db71e581cc6437aab41336f0f67658f153974a5
:282ed7222a27ee4b2ab8d702a98f27e64c912db0
:c05e4625ed11149b827e48ad111b0412d7f8064f
:31329c4a0b29ae96fca2f338d45fc3f930f922bd
:e91bc30e4f30ed90532746a8d43a074c8a201cf9
:a0fc8e10c53c40bb69bc3876b14763aa7bd0b2f6
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:9cfb0903cf658f797e9d4a20636f6b552d7e3d03
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:4b2139864c17af31e9d6ddec328cb26b86f09c88
:4680c4a94bab4882c84cca9204e64245cfded6ae
:837e1ca00132cf34660139487cceaddde3d607c5
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:ff72394ee27216c2380a40a6c86ba8474d269c94
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:4cc161da27a2e8fcff9a6862080c347d34446fc4
:93ece8f9da7518be824bb8d6867103d75c2cdb5b
:826bb4d8376c62b913b61301b276adab50e11c5a
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:c25551e4f8f283ab55cb499112f486009e924d42
:b58d24d272833b13353045a523300ef611cc55dd
:c1506d86952124fd59db10811c4fc8358c0e6f4c
:4ce41e5a78477a1528084eb6ccf3184b21b71f89
:acb8045c99d92ca5c1e591f99d70f0fef48933c0
:23d1086014ed5544b3df4cee1f95694032252322
:fe64d95a2122395fbb204525bd57dc57a902f6e2
:49cf2327b1048081857bee3b4eacae80a11c88a4
:0145ca6a9cdc0219eec00ab363f799e567c6ec27
:27c265711f34d2db06adeb462e9924006df97926
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:61cd649f8b0908619d789a94e6ceea50086e2abb
:14893b8ea58d527cb0f0e66f2539e7b70d149b84
:a6e787e4198b2ec4e5deb56f874ae6027bce1115
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:ad297be767532bb3db67ef9a6b1da3b5137dc217
:bf0e0e6feaaf338df1f82da0c349fe48ae80639b
:6c62db659622616558823abb1c12f7c216fed997
:de6a505586d1f5b200592e907c5364d38e277c86
:1b68f729f6bfa773ceb671e60f136f23c520a7dd
:6c0b90c10afebe0b60058af041d885d6f862737a
:9f8e6fdaaf93be7675b822e277df0b4d0e3c7012
:095e5af6d21569f2041728e801cb7dce22e28440
:f6d1a228543718cec6fdc5f6cc43b19a42795bd9
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:60f736171416bb4e0b4671308be6688143f65c00
:021ce1679df461186c5a550f6eba47accb4ee4ec
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:6e13dfcb8cffad2c0fdb8283e759ecf52872bb82
:46fe0776a712ae676eefbe86ba1e6cee1c6366a5
:c833d1602084a2aefe852c6c9838a2beea3d2280
:3531e72e26c536beb0ebe970fad2d3d029110654
:409048c971976f2d88b66b79bf969326bce2c7d8
:ef32b1712537c9ac0caad0218b2bf0ca0693f82e
:08ddb69ca2e9f134aa977b2a4daa3ed7db636f78
:570032386af5c4ef1948b6140020640807357b6e
:a6013b6a193e6e79f081c8b6a06b51aa399cc2b5
:07fcedef1f951a847d2662baf33cc75db56632db
:14db2095f9ded08419a2dbc7f0a33eee5f68c008
:629f465fde1e20295fd944a409793d3311f93b66
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:556dc456e04150d23e59763dce9a3be937267957
:94d801f9f4c347680fa653660cb4a3be3ef71a32
:72f7268f3bb3ecc6e373071b879aa1e9acaadf9a
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:94c3da1e3566c757f6b87166fb7416db2dff479f
:4a0776d2b24e7540fc1445e042e7e4929349f466
:4709482862f00637bedaf5eeda381d3c6ecf2996
:3c708917c76dfe53257038d26bb67650dad8af94
:15bab279752ad8e30f901abae77bcb1ed1f38977
:63cd45eb28fae36359d6986c8a77b78ea37c3a23
:3252d95531b3d1aaef214d933ddc5755f6c564ae
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:dcedf9d0146a0ce09b31264f5ace5497cf56adff
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:648d7a3b024b59f139a40fc9bbef0bd530d9f978
:c010f5ed451791b4787e187edde46c2aff7f47ba
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:45ead26ddd5463d6c9b1a84c25ee0225c4387e0f
:789cf4bb968a46f24482545a5b0bfe2f691d6e82
:f1f64eda749e606126f0eade9c01aeceb9c73e5d
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:f889018abfa299a34e785e636c9946f74eefcae5
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c
:e58dcbc422257d1787135c5b54cd543b3063aadd
:323e1df8e95cbf5d105a0b5760a905e590ba8df0
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:e0e50b787fa3554a887b883b7c29a19a861251ef

environ:
:XDG_SESSION_ID=1
:HOSTNAME=mia
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4573469bb391792b6518e5910000000f-1314572744.565451-1233192087
:GNOME_KEYRING_CONTROL=/tmp/keyring-ghBCCD
:IMSETTINGS_MODULE=none
:USER=paul
:USERNAME=paul
:MAIL=/var/spool/mail/paul
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/paul/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/paul
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1454
:LANG=es_MX.utf8
:GDM_LANG=es_MX.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/paul
:SHLVL=1
:LOGNAME=paul
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Id3c4Semlo,guid=d44348fb8392f3e2ac0707ac00000046
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/paul
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-paul-bJY9yk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1462,unix/unix:/tmp/.ICE-unix/1462
:ORBIT_SOCKETDIR=/tmp/orbit-paul
:GPG_AGENT_INFO=/tmp/keyring-ghBCCD/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-ghBCCD/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1647-mia-pitivi-4_TIME487771
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/pitivi.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2566

var_log_messages:
:Aug 22 21:35:28 mia yum[7449]: Installed: python-decoratortools-1.8-2.fc15.noarch
:Aug 22 21:35:29 mia yum[7449]: Installed: python-magic-5.07-4.fc15.i686
:Aug 22 21:35:32 mia yum[7449]: Installed: python-bunch-1.0.0-3.fc15.noarch
:Aug 22 21:35:33 mia yum[7449]: Installed: python-fedora-0.3.24-3.fc15.noarch
:Aug 22 21:35:34 mia yum[7449]: Installed: python-offtrac-0.0.3-3.fc15.noarch
:Aug 22 21:35:40 mia yum[7449]: Installed: python-enchant-1.3.1-8.fc15.i686
:Aug 22 21:35:44 mia yum[7449]: Installed: python-krbV-1.0.90-4.fc15.i686
:Aug 23 22:25:09 mia yum[3695]: Updated: rpm-python-4.9.1.1-1.fc15.i686
:Aug 26 20:27:54 mia yum[5724]: Installed: gamin-python-0.1.10-9.fc15.i686
:Aug 28 18:15:19 mia abrt[2638]: saved core dump of pid 2566 (/usr/bin/python) to /var/spool/abrt/ccpp-2011-08-28-18:15:13-2566.new/coredump (223117312 bytes)

xsession_errors:
:/usr/share/pitivi/python/pitivi/ui/glade.py:157: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
:/usr/share/pitivi/python/pitivi/application.py:266: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/share/pitivi/python/pitivi/ui/filechooserpreview.py:71: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:ERROR [ 2427] [0x   -488a5940] "<Timeline at 0x8f1514c>"        timeline          ago 28 18:09:49      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:ERROR [ 2427] [0x   -488a5940] "<Timeline at 0x8f1514c>"        timeline          ago 28 18:09:49      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 912, in _binPadAddedCb
:  File "/usr/share/pitivi/python/pitivi/action.py", line 502, in handleNewStream
:  File "/usr/share/pitivi/python/pitivi/action.py", line 604, in _activateLink
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 639, in getTeeForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 361, in get_stream_for_pad
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 341, in get_stream_for_caps
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 313, in get_pad_type
:streaming task paused, reason not-linked (-1)) (/usr/share/pitivi/python/pitivi/pipeline.py:852)
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 912, in _binPadAddedCb
:  File "/usr/share/pitivi/python/pitivi/action.py", line 502, in handleNewStream
:  File "/usr/share/pitivi/python/pitivi/action.py", line 604, in _activateLink
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 639, in getTeeForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 361, in get_stream_for_pad
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 341, in get_stream_for_caps
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 313, in get_pad_type
:streaming task paused, reason not-linked (-1)) (/usr/share/pitivi/python/pitivi/pipeline.py:852)
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 594, in _sourceListPlayCb
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 1170, in _viewFactory
:  File "/usr/share/pitivi/python/pitivi/ui/viewer.py", line 139, in setPipeline
:  File "/usr/share/pitivi/python/pitivi/ui/viewer.py", line 199, in _disconnectFromPipeline
:  File "/usr/share/pitivi/python/pitivi/action.py", line 146, in deactivate
:  File "/usr/share/pitivi/python/pitivi/action.py", line 670, in _releasePipelineObjects
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 777, in releaseQueueForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 471, in _getStreamEntryForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 454, in _getFactoryEntryForStream
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 594, in _sourceListPlayCb
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 1170, in _viewFactory
:  File "/usr/share/pitivi/python/pitivi/ui/viewer.py", line 139, in setPipeline
:  File "/usr/share/pitivi/python/pitivi/ui/viewer.py", line 199, in _disconnectFromPipeline
:  File "/usr/share/pitivi/python/pitivi/action.py", line 146, in deactivate
:  File "/usr/share/pitivi/python/pitivi/action.py", line 670, in _releasePipelineObjects
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 777, in releaseQueueForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 471, in _getStreamEntryForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 454, in _getFactoryEntryForStream
:ERROR [ 2427] [0x   -488a5940] "<Timeline at 0x8f1514c>"        timeline          ago 28 18:11:43      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:ERROR [ 2427] [0x   -488a5940] "<Timeline at 0x8f1514c>"        timeline          ago 28 18:11:44      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 912, in _binPadAddedCb
:  File "/usr/share/pitivi/python/pitivi/action.py", line 502, in handleNewStream
:  File "/usr/share/pitivi/python/pitivi/action.py", line 604, in _activateLink
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 639, in getTeeForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 361, in get_stream_for_pad
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 341, in get_stream_for_caps
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 313, in get_pad_type
:  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 293, in _renderButtonClickedCb
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 146, in startAction
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 102, in addAction
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 239, in _activateAction
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 125, in _activateAction
:  File "/usr/share/pitivi/python/pitivi/action.py", line 119, in activate
:  File "/usr/share/pitivi/python/pitivi/action.py", line 587, in _ensurePipelineObjects
:  File "/usr/share/pitivi/python/pitivi/action.py", line 604, in _activateLink
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 639, in getTeeForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 361, in get_stream_for_pad
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 341, in get_stream_for_caps
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 313, in get_pad_type
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 572, in _deleteCb
:  File "/usr/share/pitivi/python/pitivi/application.py", line 299, in shutdown
:  File "/usr/share/pitivi/python/pitivi/application.py", line 158, in shutdown
:  File "/usr/share/pitivi/python/pitivi/projectmanager.py", line 165, in closeRunningProject
:  File "/usr/share/pitivi/python/pitivi/project.py", line 102, in release
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 173, in release
:  File "/usr/share/pitivi/python/pitivi/action.py", line 146, in deactivate
:  File "/usr/share/pitivi/python/pitivi/action.py", line 670, in _releasePipelineObjects
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 777, in releaseQueueForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 471, in _getStreamEntryForFactoryStream
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 454, in _getFactoryEntryForStream
:/usr/share/pitivi/python/pitivi/ui/glade.py:157: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
:/usr/share/pitivi/python/pitivi/application.py:266: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/share/pitivi/python/pitivi/ui/filechooserpreview.py:71: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:ERROR [ 2566] [0x   -4878c940] "<Timeline at 0x914214c>"        timeline          ago 28 18:12:56      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:ERROR [ 2566] [0x   -4878c940] "<Timeline at 0x914214c>"        timeline          ago 28 18:12:57      [00m[32;01maddSourceFactory:[00m Couldn't find a complete stream mapping (self:2 < factory:3) (/usr/share/pitivi/python/pitivi/timeline/timeline.py:1684)
:  File "/usr/share/pitivi/python/pitivi/ui/encodingprogress.py", line 71, in _cancelButtonClickedCb
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 145, in emit
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 119, in emit
:  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 300, in _cancelRender
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 68, in shutdown
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 132, in removeAction
:  File "/usr/share/pitivi/python/pitivi/action.py", line 146, in deactivate
:  File "/usr/share/pitivi/python/pitivi/action.py", line 650, in _releasePipelineObjects
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 779, in releaseQueueForFactoryStream
:*** glibc detected *** python: free(): invalid pointer: 0x095a6550 ***
:/usr/lib/python2.7/site-packages/gst-0.10/gst/_gst.so(+0x403f8)[0xbe83f8]
:/usr/lib/libpython2.7.so.1.0(PyCFunction_Call+0x14d)[0x4e8f9a4d]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5630)[0x4e9592c0]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5e71)[0x4e959b01]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5e71)[0x4e959b01]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5e71)[0x4e959b01]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5e71)[0x4e959b01]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x5e71)[0x4e959b01]
:/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x862)[0x4e95a8a2]
:/usr/lib/libpython2.7.so.1.0[0x4e8e423d]
:/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x65)[0x4e8bd095]
:/usr/lib/libpython2.7.so.1.0[0x4e8cca60]
:/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x65)[0x4e8bd095]
:/usr/lib/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x5c)[0x4e95367c]
:/usr/lib/libpython2.7.so.1.0(PyObject_CallObject+0x2c)[0x4e8bd01c]
:/usr/lib/python2.7/site-packages/gobject/_gobject.so(+0x18334)[0x248334]
:0011d000-00121000 r-xp 00000000 fd:01 11517      /usr/lib/python2.7/site-packages/gtk-2.0/gtk/glade.so
:00121000-00122000 rw-p 00003000 fd:01 11517      /usr/lib/python2.7/site-packages/gtk-2.0/gtk/glade.so
:00125000-0012a000 r-xp 00000000 fd:01 145551     /usr/lib/python2.7/site-packages/gtk-2.0/gio/unix.so
:0012a000-0012b000 rw-p 00005000 fd:01 145551     /usr/lib/python2.7/site-packages/gtk-2.0/gio/unix.so
:0012b000-0014a000 r-xp 00000000 fd:01 148494     /usr/lib/python2.7/site-packages/gtk-2.0/pango.so
:0014a000-0014e000 rw-p 0001f000 fd:01 148494     /usr/lib/python2.7/site-packages/gtk-2.0/pango.so
:00184000-00193000 r-xp 00000000 fd:01 36004      /usr/lib/python2.7/site-packages/gst-0.10/gst/interfaces.so
:00193000-00195000 rw-p 0000e000 fd:01 36004      /usr/lib/python2.7/site-packages/gst-0.10/gst/interfaces.so
:00195000-00199000 r-xp 00000000 fd:01 143746     /usr/lib/python2.7/lib-dynload/binascii.so
:00199000-0019a000 rw-p 00004000 fd:01 143746     /usr/lib/python2.7/lib-dynload/binascii.so
:0019a000-001a5000 r-xp 00000000 fd:01 35995      /usr/lib/python2.7/site-packages/gst-0.10/gst/audio.so
:001a5000-001a6000 rw-p 0000b000 fd:01 35995      /usr/lib/python2.7/site-packages/gst-0.10/gst/audio.so
:001a6000-001a9000 r-xp 00000000 fd:01 148252     /usr/lib/python2.7/lib-dynload/cStringIO.so
:001a9000-001aa000 rw-p 00003000 fd:01 148252     /usr/lib/python2.7/lib-dynload/cStringIO.so
:001d4000-001d7000 r-xp 00000000 fd:01 148239     /usr/lib/python2.7/lib-dynload/_hashlib.so
:001d7000-001d8000 rw-p 00002000 fd:01 148239     /usr/lib/python2.7/lib-dynload/_hashlib.so
:001d8000-001db000 r-xp 00000000 fd:01 148243     /usr/lib/python2.7/lib-dynload/_lsprof.so
:001db000-001dc000 rw-p 00003000 fd:01 148243     /usr/lib/python2.7/lib-dynload/_lsprof.so
:001dc000-001ed000 r-xp 00000000 fd:01 148251     /usr/lib/python2.7/lib-dynload/cPickle.so
:001ed000-001ee000 rw-p 00010000 fd:01 148251     /usr/lib/python2.7/lib-dynload/cPickle.so
:001ee000-001fd000 r-xp 00000000 fd:01 57301      /usr/lib/python2.7/site-packages/gtk-2.0/gconf.so
:001fd000-001ff000 rw-p 0000f000 fd:01 57301      /usr/lib/python2.7/site-packages/gtk-2.0/gconf.so
:001ff000-00225000 r-xp 00000000 fd:01 138541     /usr/lib/python2.7/site-packages/goocanvasmodule.so
:00225000-00229000 rw-p 00025000 fd:01 138541     /usr/lib/python2.7/site-packages/goocanvasmodule.so
:00230000-0024f000 r-xp 00000000 fd:01 145543     /usr/lib/python2.7/site-packages/gobject/_gobject.so
:0024f000-00251000 rw-p 0001f000 fd:01 145543     /usr/lib/python2.7/site-packages/gobject/_gobject.so
:00251000-00472000 r-xp 00000000 fd:01 34250      /usr/lib/python2.7/site-packages/gtk-2.0/gtk/_gtk.so
:00472000-0049e000 rw-p 00221000 fd:01 34250      /usr/lib/python2.7/site-packages/gtk-2.0/gtk/_gtk.so
:0049e000-004a6000 r-xp 00000000 fd:01 148248     /usr/lib/python2.7/lib-dynload/arraymodule.so
:004a6000-004a8000 rw-p 00007000 fd:01 148248     /usr/lib/python2.7/lib-dynload/arraymodule.so
:004a8000-004b8000 r-xp 00000000 fd:01 143722     /usr/lib/python2.7/lib-dynload/_curses.so
:004b8000-004b9000 rw-p 00010000 fd:01 143722     /usr/lib/python2.7/lib-dynload/_curses.so
:004ce000-004d0000 r-xp 00000000 fd:01 148262     /usr/lib/python2.7/lib-dynload/syslog.so
:004d0000-004d1000 rw-p 00001000 fd:01 148262     /usr/lib/python2.7/lib-dynload/syslog.so
:004d1000-004d3000 r-xp 00000000 fd:01 143711     /usr/lib/python2.7/lib-dynload/_bisectmodule.so
:004d3000-004d4000 rw-p 00001000 fd:01 143711     /usr/lib/python2.7/lib-dynload/_bisectmodule.so
:004ed000-004ef000 r-xp 00000000 fd:01 143736     /usr/lib/python2.7/lib-dynload/_randommodule.so
:004ef000-004f0000 rw-p 00002000 fd:01 143736     /usr/lib/python2.7/lib-dynload/_randommodule.so
:00532000-00536000 r-xp 00000000 fd:01 143771     /usr/lib/python2.7/lib-dynload/selectmodule.so
:00536000-00538000 rw-p 00003000 fd:01 143771     /usr/lib/python2.7/lib-dynload/selectmodule.so
:005bd000-005c3000 r-xp 00000000 fd:01 148247     /usr/lib/python2.7/lib-dynload/_struct.so
:005c3000-005c5000 rw-p 00006000 fd:01 148247     /usr/lib/python2.7/lib-dynload/_struct.so
:0067c000-0067e000 r-xp 00000000 fd:01 143758     /usr/lib/python2.7/lib-dynload/grpmodule.so
:0067e000-0067f000 rw-p 00001000 fd:01 143758     /usr/lib/python2.7/lib-dynload/grpmodule.so
:006d0000-006df000 r-xp 00000000 fd:01 145539     /usr/lib/python2.7/site-packages/glib/_glib.so
:006df000-006e1000 rw-p 0000e000 fd:01 145539     /usr/lib/python2.7/site-packages/glib/_glib.so
:00739000-0073c000 r-xp 00000000 fd:01 148495     /usr/lib/python2.7/site-packages/gtk-2.0/pangocairo.so
:0073c000-0073d000 rw-p 00003000 fd:01 148495     /usr/lib/python2.7/site-packages/gtk-2.0/pangocairo.so
:00866000-00869000 r-xp 00000000 fd:01 148264     /usr/lib/python2.7/lib-dynload/timemodule.so
:00869000-0086b000 rw-p 00003000 fd:01 148264     /usr/lib/python2.7/lib-dynload/timemodule.so
:008d2000-008d4000 r-xp 00000000 fd:01 148238     /usr/lib/python2.7/lib-dynload/_functoolsmodule.so
:008d4000-008d5000 rw-p 00001000 fd:01 148238     /usr/lib/python2.7/lib-dynload/_functoolsmodule.so
:0091a000-0091f000 r-xp 00000000 fd:01 405387     /usr/lib/python2.7/site-packages/zope/interface/_zope_interface_coptimizations.so
:0091f000-00920000 rw-p 00005000 fd:01 405387     /usr/lib/python2.7/site-packages/zope/interface/_zope_interface_coptimizations.so
:0097a000-00981000 r-xp 00000000 fd:01 143765     /usr/lib/python2.7/lib-dynload/operator.so
:00981000-00983000 rw-p 00006000 fd:01 143765     /usr/lib/python2.7/lib-dynload/operator.so
:00986000-009d0000 r-xp 00000000 fd:01 145549     /usr/lib/python2.7/site-packages/gtk-2.0/gio/_gio.so
:009d0000-009d8000 rw-p 00049000 fd:01 145549     /usr/lib/python2.7/site-packages/gtk-2.0/gio/_gio.so
:00a3b000-00a44000 r-xp 00000000 fd:01 143760     /usr/lib/python2.7/lib-dynload/itertoolsmodule.so
:00a44000-00a48000 rw-p 00008000 fd:01 143760     /usr/lib/python2.7/lib-dynload/itertoolsmodule.so
:00a94000-00a9f000 r-xp 00000000 fd:01 143740     /usr/lib/python2.7/lib-dynload/_socketmodule.so
:00a9f000-00aa2000 rw-p 0000b000 fd:01 143740     /usr/lib/python2.7/lib-dynload/_socketmodule.so
:00ba8000-00c23000 r-xp 00000000 fd:01 35994      /usr/lib/python2.7/site-packages/gst-0.10/gst/_gst.so
:00c23000-00c2d000 rw-p 0007a000 fd:01 35994      /usr/lib/python2.7/site-packages/gst-0.10/gst/_gst.so
:00c3b000-00c74000 r-xp 00000000 fd:01 148492     /usr/lib/python2.7/site-packages/gtk-2.0/atk.so
:00c74000-00c78000 rw-p 00039000 fd:01 148492     /usr/lib/python2.7/site-packages/gtk-2.0/atk.so
:00c92000-00c94000 r-xp 00000000 fd:01 143755     /usr/lib/python2.7/lib-dynload/fcntlmodule.so
:00c94000-00c95000 rw-p 00002000 fd:01 143755     /usr/lib/python2.7/lib-dynload/fcntlmodule.so
:00c98000-00c9d000 r-xp 00000000 fd:01 143719     /usr/lib/python2.7/lib-dynload/_collectionsmodule.so
:00c9d000-00c9e000 rw-p 00005000 fd:01 143719     /usr/lib/python2.7/lib-dynload/_collectionsmodule.so
:00d1c000-00d22000 r-xp 00000000 fd:01 143762     /usr/lib/python2.7/lib-dynload/math.so
:00d22000-00d24000 rw-p 00005000 fd:01 143762     /usr/lib/python2.7/lib-dynload/math.so
:00d3b000-00d3d000 r-xp 00000000 fd:01 148240     /usr/lib/python2.7/lib-dynload/_heapq.so
:00d3d000-00d3f000 rw-p 00002000 fd:01 148240     /usr/lib/python2.7/lib-dynload/_heapq.so
:00d65000-00d68000 r-xp 00000000 fd:01 148491     /usr/lib/libpyglib-2.0-python.so.0.0.0
:00d68000-00d69000 rw-p 00002000 fd:01 148491     /usr/lib/libpyglib-2.0-python.so.0.0.0
:00da4000-00ded000 r-xp 00000000 fd:01 145259     /usr/lib/python2.7/site-packages/libxml2mod.so
:00ded000-00df2000 rw-p 00048000 fd:01 145259     /usr/lib/python2.7/site-packages/libxml2mod.so
:00e47000-00e57000 r-xp 00000000 fd:01 143752     /usr/lib/python2.7/lib-dynload/datetime.so
:00e57000-00e5a000 rw-p 0000f000 fd:01 143752     /usr/lib/python2.7/lib-dynload/datetime.so
:00e65000-00e6b000 r-xp 00000000 fd:01 148246     /usr/lib/python2.7/lib-dynload/_ssl.so
:00e6b000-00e6c000 rw-p 00006000 fd:01 148246     /usr/lib/python2.7/lib-dynload/_ssl.so
:00e6f000-00e75000 r-xp 00000000 fd:01 36005      /usr/lib/python2.7/site-packages/gst-0.10/gst/pbutils.so
:00e75000-00e76000 rw-p 00005000 fd:01 36005      /usr/lib/python2.7/site-packages/gst-0.10/gst/pbutils.so
:00ed3000-00ed6000 r-xp 00000000 fd:01 143731     /usr/lib/python2.7/lib-dynload/_localemodule.so
:00ed6000-00ed7000 rw-p 00003000 fd:01 143731     /usr/lib/python2.7/lib-dynload/_localemodule.so
:00f40000-00f42000 r-xp 00000000 fd:01 36007      /usr/lib/python2.7/site-packages/gst-0.10/gst/video.so
:00f42000-00f43000 rw-p 00002000 fd:01 36007      /usr/lib/python2.7/site-packages/gst-0.10/gst/video.so
:00f48000-00f4d000 r-xp 00000000 fd:01 143773     /usr/lib/python2.7/lib-dynload/stropmodule.so
:00f4d000-00f4f000 rw-p 00004000 fd:01 143773     /usr/lib/python2.7/lib-dynload/stropmodule.so
:00fb5000-00fc9000 r-xp 00000000 fd:01 145510     /usr/lib/python2.7/site-packages/cairo/_cairo.so
:00fc9000-00fcc000 rw-p 00013000 fd:01 145510     /usr/lib/python2.7/site-packages/cairo/_cairo.so
:08048000-08049000 r-xp 00000000 fd:01 158634     /usr/bin/python
:08049000-0804a000 rw-p 00000000 fd:01 158634     /usr/bin/python
:4e891000-4e9ef000 r-xp 00000000 fd:01 149678     /usr/lib/libpython2.7.so.1.0
:4e9ef000-4ea1d000 rw-p 0015d000 fd:01 149678     /usr/lib/libpython2.7.so.1.0

Comment 1 Paul Lange 2011-08-28 23:26:56 UTC
Created attachment 520259 [details]
File: dso_list

Comment 2 Paul Lange 2011-08-28 23:26:57 UTC
Created attachment 520260 [details]
File: maps

Comment 3 Paul Lange 2011-08-28 23:26:58 UTC
Created attachment 520261 [details]
File: backtrace

Comment 4 Gwyn Ciesla 2012-03-27 18:02:30 UTC
Does this crash with the 0.15.0-3 in updates-testing?

Comment 5 Fedora End Of Life 2012-08-07 16:51:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.